{% extends "users/userspace.html" %}

{% load template_utils %}

{% block content %}
    <div class="container mt-5">
        <h1>Détails du contrat n°{{ contrat.id }}</h1>
        {% if contrat.archive %}
        <div class="alert alert-warning" role="alert">
            Ce contrat est archivé.
        </div>
        {% endif %}
        <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Souscripteur :
                </td>
                <td>
                    <a href="{% url 'user_details_admin' contrat.souscripteur.id %}"
                                   target="_blank">
                        {{ contrat.souscripteur }}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Ferme :
                </td>
                <td>
                    <a href="{% url 'farm_details_admin' contrat.ferme.id %}"
                                   target="_blank">
                    {{ contrat.ferme.nom }}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Date de signature :
                </td>
                <td>
                    {{ contrat.statut }}
                </td>
            </tr>
            <tr>
                <td>
                    Nombre de livraisons :
                </td>
                <td>
                    {{ contrat.nombre_livraisons }}
                </td>
            </tr>
            <tr>
                <td>
                    Valeur totale :
                </td>
                <td>
                    {{ contrat.valeur_totale|floatformat:2 }} €
                </td>
            </tr>
        </table>
        </div>

        <div class="col text-end"> 
        <a href="{% url 'contrat_remove' id_contrat=contrat.id %}" class="btn btn-danger">
            Supprimer le contrat<i class="fas fa-trash ms-2"></i>
        </a>
        </div>
        <h3>Liste des produits commandés</h3>
        <div class="table-responsive">
        <table class="table table-striped table-hover align-middle caption-top mb-4">
            <thead>
                <tr>
                    <th class="pe-1">
                        Produit
                    </th>
                    <th class="pe-1">
                        Distribution
                    </th>
                    <th class="pe-1">
                        Quantité
                    </th>
                    <th class="pe-1">
                        Prix
                    </th>
                    <th class="pe-1">
                        
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for inscription in inscriptions %}
                    <tr>
                        <td>
                            <a href="{% url 'product_details_admin' inscription.produit.id %}"
                                   target="_blank">
                            {{ inscription.produit.nom }}
                            </a>
                        </td>
                        <td>
                            <a href="{% url 'delivery_details_admin' inscription.distribution.id %}"
                                   target="_blank">
                            {{ inscription.distribution.date_heure|date:"d/m/Y" }}
                            </a>
                        </td>
                        <td>
                            {{ inscription.unites_commandees }} x {{ inscription.inscription_produit.quantite_unitaire }}
                        </td>
                        <td>
                            {{ inscription.unites_commandees|times:inscription.inscription_produit.tarif_vente|floatformat:"2" }} € (PU: {{ inscription.inscription_produit.tarif_vente|floatformat:"2" }} €)
                        </td>
                        <td>
                            <div class="col text-end me-3"> 
                                <a href="{% url 'inscription_contrat_remove' id_inscription=inscription.id %}" class="btn btn-link" style="color: red;">
                                    Supprimer
                                </a>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                {% if inscriptions|length == 0 %}
                <tr>
                    <td colspan="5" class="text-center">
                    Aucun produit
                    </td>
                </tr>
                {% endif %}
                </tbody>
        </table>
    </div>
    </div>
{% endblock %}